Subject: Re: What's cooking in git.git (Sep 2025, #09; Mon, 22)

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 24 Sep 2025 09:00:15 +0200

On Wed, Sep 24, 2025 at 08:44:02AM +0200, SZEDER Gábor wrote:
> > * jt/odb-transaction (2025-09-16) 7 commits
> >  - odb: add transaction interface
> >  - object-file: update naming from bulk-checkin
> >  - object-file: relocate ODB transaction code
> >  - bulk-checkin: drop flush_odb_transaction()
> >  - builtin/update-index: end ODB transaction when --verbose is specified
> >  - bulk-checkin: remove ODB transaction nesting
> >  - Merge branch 'jt/de-global-bulk-checkin' into jt/odb-transaction
> > 
> >  Continue the work to build on the bulk-checkin infrastructure to
> >  create many objects at once in a transaction and abstract it into
> >  the generic object layer.
> > 
> >  Will merge to 'next'.
> >  source: <[email-masked]>
> 
> The merge of this topic into 'jch' modifies 'object-file.c' by
> replacing a call to reprepare_packed_git() with odb_reprepare(), but
> at that point the latter function doesn't exists yet, as it will only
> be introduced in 'ps/packfile-store', which is merged later.
> 
> Interestingly, when I tried to recreate the same merge I got a
> conflict only in 'odb.h', but not in 'object-file.c'.

True.

> > * ps/packfile-store (2025-09-15) 16 commits
> >  - packfile: refactor `get_packed_git_mru()` to work on packfile store
> >  - packfile: refactor `get_all_packs()` to work on packfile store
> >  - packfile: refactor `get_packed_git()` to work on packfile store
> >  - packfile: move `get_multi_pack_index()` into "midx.c"
> >  - packfile: introduce function to load and add packfiles
> >  - packfile: refactor `install_packed_git()` to work on packfile store
> >  - packfile: split up responsibilities of `reprepare_packed_git()`
> >  - packfile: refactor `prepare_packed_git()` to work on packfile store
> >  - packfile: reorder functions to avoid function declaration
> >  - odb: move kept cache into `struct packfile_store`
> >  - odb: move MRU list of packfiles into `struct packfile_store`
> >  - odb: move packfile map into `struct packfile_store`
> >  - odb: move initialization bit into `struct packfile_store`
> >  - odb: move list of packfiles into `struct packfile_store`
> >  - packfile: introduce a new `struct packfile_store`
> >  - Merge branch 'ps/object-store-midx-dedup-info' into ps/packfile-store
> > 
> >  Code clean-up around the in-core list of all the pack files and
> >  object database(s).
> > 
> >  Expecting a reroll.
> >  cf. <[email-masked]>
> >  source: <[email-masked]>

In any case, I've sent that reroll yesterday via [1]. There's only been
a couple of minor adjustments based on Justin's feedback, so maybe he
can do another review and then we call it a win and merge both series
down together?

Thanks!

Patrick

[1]: <[email-masked]>